HUGO-GEN-AUTOCOMPLETE(1)

NAME

hugo-gen-autocomplete - Generate shell autocompletion script for Hugo

SYNOPSIS

hugo gen autocomplete [flags]

DESCRIPTION

Generates a shell autocompletion script for Hugo.

The script is written to the console (stdout).

To write to file, add the --completionfile=/path/to/file flag.

Add --type={bash, zsh, fish or powershell} flag to set alternative shell type.

Logout and in again to reload the completion scripts, or just source them in directly:

    $ . /etc/bash_completion or /path/to/file

OPTIONS

-f, --completionfile=""
    autocompletion file, defaults to stdout

-h, --help[=false]
    help for autocomplete

-t, --type="bash"
    autocompletion type (bash, zsh, fish, or powershell)

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-gen(1)